public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mongoengine/
Date: Wed, 16 Dec 2020 23:04:42 +0000 (UTC)	[thread overview]
Message-ID: <1608159785.718befbb10c7bbb234be2aa0ffd0b04605b1fe11.mgorny@gentoo> (raw)

commit:     718befbb10c7bbb234be2aa0ffd0b04605b1fe11
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 22:37:26 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 23:03:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=718befbb

dev-python/mongoengine: Bump to 0.22.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/mongoengine/Manifest                  |  1 +
 dev-python/mongoengine/mongoengine-0.22.1.ebuild | 44 ++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/mongoengine/Manifest b/dev-python/mongoengine/Manifest
index 2d38719ecc6..b4efee90259 100644
--- a/dev-python/mongoengine/Manifest
+++ b/dev-python/mongoengine/Manifest
@@ -1,3 +1,4 @@
 DIST mongoengine-0.20.0.tar.gz 311698 BLAKE2B 11bae8d342a77bcc241884beb92d67a6d4f7112d0af3a467196eb94233b003aa27d019ab346140ce7430b4019879c8c86e01f3067677254559243b6d1f0ddc80 SHA512 ef973af9893f6e53811e1a47a131989f5a057af04ab9d512059f968af89fcd23f05d910c7de03330b5f4771db8e11ea2e48060f95ed790f8d238df6c6f7b9306
 DIST mongoengine-0.21.0.tar.gz 320173 BLAKE2B 6c53c8dd967209039a3c2b6e279e6a27cf7073a6284b0df70aff25004c8499e88088d934eadf2e23dc3f43cd2ebc0d3c202cfbee618772b8a794a6ef933a9a75 SHA512 37642e9c9333fb4480262e916d678ef04a1f839b62e7d58528485b7df7cb9b22d3cb0b093084fcb92e331698c7d5bf2411df5d0c6e6b9324748189b9084c3f54
 DIST mongoengine-0.22.0.tar.gz 319893 BLAKE2B dc58cad3a93b5c391012fcbc7f0f9cc372bae970847c629bbe6dd158b8d6d9b032b26c118a7931f51f6754333fdbd890904699417076a84ff295233e33daa48c SHA512 293cf0124c18d4c67ecd70e129ab51a0a29a919fecddffbf24619275012534d7c5cb7ee97a65d933654cd582554a276772dc933b1fba357ddac8d3a295f4fda8
+DIST mongoengine-0.22.1.tar.gz 321227 BLAKE2B 933850eb85623a33b1f8e124b6c8375a9e0448c39f5cf44a3aa5b281746933043873d6ac32997121b15c611b9c1a50a1194fa8f364bae3009339d50f5ca98bb8 SHA512 a5188e854aede8feddc01c2d7cbaedd0af4faf5ac03d28f8df9d6dd2f7ae58d9de81eb9d4f3bb02daafb85b7fdf8d54ba38994af07bb338af2b27940cc3413ed

diff --git a/dev-python/mongoengine/mongoengine-0.22.1.ebuild b/dev-python/mongoengine/mongoengine-0.22.1.ebuild
new file mode 100644
index 00000000000..bcf7043f3db
--- /dev/null
+++ b/dev-python/mongoengine/mongoengine-0.22.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit distutils-r1
+
+DESCRIPTION="A Python Object-Document-Mapper for working with MongoDB"
+HOMEPAGE="https://github.com/MongoEngine/mongoengine/"
+SRC_URI="https://github.com/MongoEngine/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# TODO: make it run a local database server
+RESTRICT="test"
+
+RDEPEND="dev-python/blinker[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	dev-python/pymongo[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? ( dev-python/mongomock[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# TODO: investigate
+	sed -e 's:test_covered_index:_&:' \
+		-i tests/document/test_indexes.py || die
+	# no $eval
+	sed -e 's:test_exec_js_field_sub:_&:' \
+		-e 's:test_exec_js_query:_&:' \
+		-e 's:test_item_frequencies_normalize:_&:' \
+		-e 's:test_item_frequencies_with_0_values:_&:' \
+		-e 's:test_item_frequencies_with_False_values:_&:' \
+		-e 's:test_item_frequencies_with_null_embedded:_&:' \
+		-i tests/queryset/test_queryset.py || die
+	# TODO: investigate (wrong order? bad comparison?)
+	sed -e 's:test_distinct_ListField_EmbeddedDocumentField:_&:' \
+		-i tests/queryset/test_queryset.py || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2020-12-16 23:04 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-16 23:04 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-10-02 11:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/mongoengine/ Arthur Zamarin
2021-06-06 14:46 Michał Górny
2021-06-06 13:01 Sam James
2021-05-04 13:59 Michał Górny
2021-04-29 10:21 Michał Górny
2021-04-29 10:09 Michał Górny
2021-04-13 21:49 Michał Górny
2021-04-13 21:49 Michał Górny
2021-04-13 13:29 Michał Górny
2021-04-13 13:14 Michał Górny
2021-03-05 10:14 Michał Górny
2021-01-19  8:02 Michał Górny
2021-01-19  2:45 Sam James
2020-12-21 20:31 Michał Górny
2020-12-21 20:25 Sam James
2020-12-21 19:43 Michał Górny
2020-12-15 11:05 Michał Górny
2020-11-20  9:54 Michał Górny
2020-09-18 15:30 Michał Górny
2020-08-30  1:32 Thomas Deutschmann
2020-08-25 12:53 Agostino Sarubbo
2020-07-02 12:42 Michał Górny
2020-02-05 21:28 Andreas Sturmlechner
2019-12-01 19:27 Andreas Sturmlechner
2018-01-05  9:36 Michał Górny
2017-12-29 18:48 Mikle Kolyada
2017-05-15 13:49 Manuel Rüger
2016-06-09 10:12 Tiziano Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1608159785.718befbb10c7bbb234be2aa0ffd0b04605b1fe11.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox